[CentOS] yum update perl error in CentOS 5.3

Olaf Mueller daily-planet at istari.de
Fri Apr 3 14:20:11 UTC 2009

Ralph Angenendt wrote:


> Olaf Mueller wrote:
>>   File "/usr/lib/python2.4/site-packages/yum/sqlitesack.py", line 94,
>>   in
>> _read_db_obj
>>     setattr(self, item, _share_data(db_obj[item]))
>> TypeError: unsubscriptable object
> One question: Your system has been updated to 5.3?
Yes, I have updated the system to 5.3 yesterday and the perl error was
today. This is a bit mysterious cause there were no such problems with
a server, a workstation and two notebooks. Also one notebook and the
desktop pc with the perl error have approximate equal rpms installed.


More information about the CentOS mailing list